Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans
Interface AbleRemoteImportData

All Superinterfaces:
  java.rmi.Remote

public interface AbleRemoteImportData
extends java.rmi.Remote

The AbleDataSource interface is implemented to provide common information about data sources, the records they provide, and the fields contained by those records. When a data source is opened, it is required to create a vector of AbleFields.

Method Summary
`void` | `close()` Set the number of records in the data source
`int` | `getBufferSize()` Get the current buffer size, the number of records to cache.
`java.util.Vector` | `getFieldList()` Return a Vector of AbleFields describing this datasource.
`int` | `getNumFieldsPerRec()` Returns the number of fields in each record in the data source.
`long` | `getNumRecords()` Returns the number of records in the data source.
`java.util.Vector` | `getTextData()` Return a vector of text data records.
`boolean` | `isAllNumericData()` Returns true if all fields are "continuous" or "discrete", false if any are "categorical"; that is, symbols.
`boolean` | `isReady()` Returns whether the data source is ready to be opened.
`void` | `open()` Returns the number of records in the data source
`void` | `readNextRecordBlock()` Read the next block of records from the data source.
`void` | `setBufferSize(int size)` Get the current buffer size, the number of records to cache.
`void` | `setFieldList(java.util.Vector fieldList)` Set a Vector of AbleFields describing this datasource.

Method Detail

### getNumRecords

    public long getNumRecords()
                       throws java.rmi.RemoteException

  Returns the number of records in the data source.

  Throws:
    `java.rmi.RemoteException`

### getNumFieldsPerRec

    public int getNumFieldsPerRec()
                           throws java.rmi.RemoteException

  Returns the number of fields in each record in the data source.

  Throws:
    `java.rmi.RemoteException`

### isReady

    public boolean isReady()
                    throws java.rmi.RemoteException

  Returns whether the data source is ready to be opened.

  Throws:
    `java.rmi.RemoteException`

### isAllNumericData

    public boolean isAllNumericData()
                             throws java.rmi.RemoteException

  Returns true if all fields are "continuous" or "discrete", false if any are "categorical"; that is, symbols.

  Throws:
    `java.rmi.RemoteException`

### getBufferSize

    public int getBufferSize()
                      throws java.rmi.RemoteException

  Get the current buffer size, the number of records to cache. A value of 0 means all records are kept in memory.

  Throws:
    `java.rmi.RemoteException`

### setBufferSize

    public void setBufferSize(int size)
                       throws java.rmi.RemoteException

  Get the current buffer size, the number of records to cache. A value of 0 means all records are kept in memory.

  Throws:
    `java.rmi.RemoteException`

### readNextRecordBlock

    public void readNextRecordBlock()
                             throws java.rmi.RemoteException

  Read the next block of records from the data source. If the end of the data source occurs before the buffer size is reached, wrap to the beginning of the file and continue until the buffer size is obtained. This populates the text and numeric data records.

  Throws:
    `java.rmi.RemoteException`

### getTextData

    public java.util.Vector getTextData()
                                 throws java.rmi.RemoteException

  Return a vector of text data records.

  Throws:
    `java.rmi.RemoteException`

### open

    public void open()
              throws java.rmi.RemoteException

  Returns the number of records in the data source

  Throws:
    `java.rmi.RemoteException`

### close

    public void close()
               throws java.rmi.RemoteException

  Set the number of records in the data source

  Throws:
    `java.rmi.RemoteException`

### getFieldList

    public java.util.Vector getFieldList()
                                  throws java.rmi.RemoteException

  Return a Vector of AbleFields describing this datasource.

  Throws:
    `java.rmi.RemoteException`

### setFieldList

    public void setFieldList(java.util.Vector fieldList)
                      throws java.rmi.RemoteException

  Set a Vector of AbleFields describing this datasource.

  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005